//
//  DGAppDelegate.h
//  DG
//
//  Created by Mark Brindle on 11/07/2011.
//  Copyright 2011 ARKEMM Software Limited. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface DGAppDelegate : UIResponder <UIApplicationDelegate>

@property (strong, nonatomic) UIWindow *window;

@property (readonly, strong, nonatomic) NSManagedObjectContext *managedObjectContext;
@property (readonly, strong, nonatomic) NSManagedObjectModel *managedObjectModel;
@property (readonly, strong, nonatomic) NSPersistentStoreCoordinator *persistentStoreCoordinator;

- (void)saveContext;
- (NSURL *)applicationDocumentsDirectory;

@property (strong, nonatomic) UINavigationController *navigationController;

@property (strong, nonatomic) UISplitViewController *splitViewController;


#pragma mark - Added method declarations

+ (DGAppDelegate *)sharedAppDelegate;

- (NSArray *)allInstancesOf:(NSString *)entityName 
                  orderedBy:(NSString *)attName
              sortAscending:(BOOL)sortDirection;


@end
